package com.ruoyi.system.mapper;

import com.ruoyi.system.domain.PoCollection;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 藏品表 数据层
 *
 * @author blue
 */
@Mapper
public interface PoCollectionMapper {
    /**
     * 查询藏品信息
     *
     * @param collectionId 藏品ID
     * @return 藏品信息
     */
    PoCollection selectPoCollectionById(Long collectionId);

    /**
     * 查询藏品列表
     *
     * @param collections 藏品信息
     * @return 藏品集合
     */
    List<PoCollection> selectPoCollectionList(PoCollection collections);

    /**
     * 新增藏品
     *
     * @param collections 藏品信息
     * @return 结果
     */
    int insertPoCollection(PoCollection collections);

    /**
     * 修改藏品
     *
     * @param collections 藏品信息
     * @return 结果
     */
    int updatePoCollection(PoCollection collections);

    /**
     * 批量删除藏品
     *
     * @param collectionsId 藏品ID
     * @return 结果
     */
    int deletePoCollectionById(Long collectionsId);

    /**
     * 批量删除藏品信息
     *
     * @param collectionsIds 需要删除的藏品ID
     * @return 结果
     */
    int deletePoCollectionByIds(Long[] collectionsIds);
}
