package com.ruoyi.system.service;

import com.ruoyi.system.domain.PoCollection;

import java.util.List;

/**
 * 消息接口
 */
public interface IPoCollectionService {
    /**
     * 根据Id查询
     *
     * @param collectionIdList 要查询的藏品ID
     * @return 藏品ID对应的藏品
     */
    public List<PoCollection> selectCollectionByCollectionId(Long[] collectionIdList);

    /**
     * 增加
     *
     * @param collection 藏品信息
     * @return 操作状态
     */
    public int insertCollection(PoCollection collection);

    /**
     * 修改
     *
     * @param collection 更新的藏品信息
     * @return 操作状态
     */
    public int updateCollection(PoCollection collection);

    /**
     * 批量删除
     *
     * @param collectionIds
     * @return
     */
    int deleteCollectionByIds(Long[] collectionIds);

    /**
     * 删除
     *
     * @param collectionId
     * @return
     */
    int deleteCollectionById(Long collectionId);

    /**
     * 获取符合要求的藏品
     *
     * @param collection 搜索的藏品信息
     * @return 符合要求的藏品，默认为全部藏品
     */
    List<PoCollection> selectCollections(PoCollection collection);

    /**
     * 获取藏品详细内容
     *
     * @param collectionId 藏品ID
     * @return 藏品信息
     */
    PoCollection selectCollectionById(Long collectionId);
}

